#include <iostream>
#include <cstdlib>
#include <fstream>
using namespace std;

int main (){
	string temp;
	ifstream input;
	ofstream output;
	bool found;
	string matches[] = {"CO1", "COI", "cytochrome oxidase subunit I ", "cytochrome c oxidase subunit I", "cytochrome oxidase subunit 1", "cytochrome c oxidase subunit 1"}; //Known aliases
	string bads[] = {"COIII"}; //Known false positives

	input.open("sequence.fasta");
	output.open("output.fasta");

	while (!input.eof()) {
		getline(input, temp);
		found = false;
		for (string & match : matches) {
			if (temp.find(match) != string::npos) {
				found = true; //If an alais is found in the title
			}
		}
		for (string & bad : bads) {
			if (temp.find(bad) != string::npos) {
				found = false; //If a false positive is found in the title
			}
		}
		if (found) {
			output << temp << '\n';
			while ((input.peek() != '>') && (!input.eof())) {
				output << (char)input.get(); //Enter into output until next extry
			}
		} else {
			while ((input.peek() != '>') && (!input.eof())) {
				input.get();
			}
		}
	}
	
	input.close();
	output.close();

	return 0;
}
